Subject: Re: [PATCH net-next] Amiga PCMCIA 100 MBit card support

From: Andrew Lunn <[email-masked]>
Date: Mon, 31 Dec 2018 11:47:25 +0100

> >Having so many front end drivers for a chipset should be done in a
> >more modular manner, so that in fact they could all coexist if
> >necessary.
> 
> Not sure I follow your meaning ... are you suggesting to allow the back end
> driver to use run-time selectable IO accessors and other generic helper
> functions, so the drivers currenlty including lib8390.c directly could use
> the core code from the 8390 module instead?

Yes, David is suggesting you abstract the code so it can be built once
to support all the different interfaces and architectures.

   Andrew